/pipelines/{pipeline_id} Get a specific pipeline
Returns one pipeline with its ordered stages. Each stage has a numeric stage position and a label; a pipeline holds between one and nine stages. default reflects whether it is your own default pipeline.
Maintained by the OnePageCRM engineering team
Path parameters
| Name | Type | Description |
|---|---|---|
pipeline_id req | string | Pipeline ID |
Responses
200 OK
statusintegerint32Response code
messagestringResponse message
timestampintegerunix-timestampResponse time
dataobjectobject fields β
pipelineobjectInformation about the sales process of products or services, including deal stages.
object fields β
idstringbson-idID of the pipeline
namestringName of the pipeline
typestringType of the pipeline (sales or delivery)
defaultbooleanIs this pipeline the default pipeline in the account?
won_column_enabledbooleanSpecifies if the `WON` column is enabled for the pipeline
won_column_namestringName of the `WON` column for the pipeline
stagesarray<object>Deal stages defined for the pipeline
array item fields β
stageintegerint32Integer in the range 0 to 100 (exclusive) indicating how close a deal is to being closed
labelstringText description for the deal stage of the deal
Standard error responses: 400 Β· 401 Β· 403 Β· 404 Β· 409 Β· 500 β shared across the API. See Errors.